/*
 * Class READABLE_STRING_GENERAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_912 [] = {0xFF01,1551,911,0xFFFF};
static const EIF_TYPE_INDEX egt_2_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_3_912 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_912 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_6_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_7_912 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_912 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_912 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_13_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_14_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_15_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_16_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_912 [] = {0xFF01,2,0xFFFF};
static const EIF_TYPE_INDEX egt_18_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_912 [] = {0xFF01,912,0xFFFF};
static const EIF_TYPE_INDEX egt_21_912 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_912 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_23_912 [] = {0xFF01,922,0xFFFF};
static const EIF_TYPE_INDEX egt_24_912 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_25_912 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_27_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_28_912 [] = {0xFF01,1578,0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_29_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_30_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_31_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_32_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_33_912 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_34_912 [] = {0xFF01,353,0xFFFF};
static const EIF_TYPE_INDEX egt_35_912 [] = {0xFF01,591,0xFFFF};
static const EIF_TYPE_INDEX egt_36_912 [] = {0xFF01,453,0xFFFF};
static const EIF_TYPE_INDEX egt_37_912 [] = {0xFF01,452,0xFFFF};
static const EIF_TYPE_INDEX egt_38_912 [] = {0xFF01,88,0xFFFF};
static const EIF_TYPE_INDEX egt_39_912 [] = {0xFF01,104,0xFFFF};
static const EIF_TYPE_INDEX egt_40_912 [] = {0xFF01,578,0xFFFF};


static const struct desc_info desc_912[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_912), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_912), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_912), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_912), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_912), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_912), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_912), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_912), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_912), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_912), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_912), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_912), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x071F /*911*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_912), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_912), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_912), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_912), 22822, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_912), 22823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_912), 22780, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_912), 22781, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_912), 22782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_912), 22783, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_912), 22784, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_912), 22785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_912), 22786, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_912), 22787, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_912), 22788, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_912), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_912), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 22789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 22790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 22793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 22794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 22795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 22796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 22797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 22798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 22799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 22800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 22802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22803, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_912), 22804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_912), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_912), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_912), 22805, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_912), 22806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22807, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_912), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_912), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_912), 22809, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_912), 22810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_912), 22811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_912), 22812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_912), 22813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22814, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22815, 4},
	{EIF_GENERIC(egt_40_912), 22816, 0xFFFFFFFF},
};
void Init912(void)
{
	IDSC(desc_912, 0, 911);
	IDSC(desc_912 + 1, 1, 911);
	IDSC(desc_912 + 32, 1459, 911);
	IDSC(desc_912 + 36, 939, 911);
	IDSC(desc_912 + 39, 700, 911);
	IDSC(desc_912 + 41, 1106, 911);
}


#ifdef __cplusplus
}
#endif
